Cannot locate PPD file ...

Posted by superman on 2007-03-23 16:14
Forums: PPM | OS: Windows XP Pro

Hi,

I've been searching all over for a solution to this, but ended up here as a last resort, having tried everything else, so I hope someone can help. I'm on Win.XP, running Perl 5.8.0.

I'm trying to install Apache::Geo::IP, but keep getting the "...cannot find PPD..." message, per below:

E:\Perl\lib>ppm
PPM interactive shell (2.1.6) - type 'help' for available commands.
PPM> install Apache::Geo::IP
Install package 'Apache-Geo-IP?' (y/N): y
Installing package 'Apache-Geo-IP'...
Error installing package 'Apache-Geo-IP': Could not locate a PPD file for package Apache-Geo-IP
PPM>

Any assistance or ideas would be much appreciated.

Thanks!
David

kevinw
ActiveState Staff
Mon, 2007-03-26 12:15

Hi David,

The Apache::Geo::IP module is part of the Apache-GeoIP package, so:

ppm install Apache-GeoIP

Will install that module and its dependencies.

Cheers,

kjw

superman | Mon, 2007-03-26 12:26

Hi KJW,

Many thanks for that ... In fact, I did just manage to do it by - believe it or not - reading the Readme file which was included with the download (which I, admittedly, should have read beforehand) ... I just set the repository to whatever it said, and then, as you pointed out, install Apache-GeoIP, rather than my install Apache::Geo::IP.

Anyway, thanks v.much for the reply, I do appreciate it!

Best
David